Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413840 - The various ibus-* modules tail to refresh gtk's immodule cache in every instance
Summary: The various ibus-* modules tail to refresh gtk's immodule cache in every inst...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 06:07 UTC by Philippe Troin
Modified: 2017-12-12 10:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:54:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe Troin 2017-01-17 06:07:04 UTC
Description of problem:
If both ibus-gtk3.x86_64 and ibus-gtk3.i686 are installed, only one of either the 32 or 64 bit immodule database is updated.
The same applies to the gtk2 modules.

Version-Release number of selected component (if applicable):
ibus-gtk3-1.5.14-5.fc25.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. dnf remove ibus-gtk*
2. dnf install ibus-gtk2.i686 ibus-gtk2.x86_64 ibus-gtk3.i686 ibus-gtk3.x86_64

Actual results:
$ ls /usr/lib*/gtk-*/*/immodules.cache
/usr/lib/gtk-2.0/2.10.0/immodules.cache
/usr/lib/gtk-3.0/3.0.0/immodules.cache
(no 64-bit immodules)

Expected results:
I'd expect all four /usr/lib*/gtk-*/*/immodules.cache files to be updated:
$ ls /usr/lib*/gtk-*/*/immodules.cache
/usr/lib64/gtk-2.0/2.10.0/immodules.cache
/usr/lib64/gtk-3.0/3.0.0/immodules.cache
/usr/lib/gtk-2.0/2.10.0/immodules.cache
/usr/lib/gtk-3.0/3.0.0/immodules.cache

Additional info:
The postinstall scriplet is different for 32 and 64 bit packages, but when both 32 and 64 bit packages are installed:
The first time the script runs (on the 32 bit package), $1 is equal to 1 anre runs gtk-query-immodules-3.0-32.
When the 64-bit package is installed, $1 is equal to 2, and gtk-query-immodules-3.0-64 is not ran.

if [ $1 -eq 1 ] ; then
    # For upgrades, the cache will be regenerated by the new package's %postun
    gtk-query-immodules-3.0-32 --update-cache &> /dev/null || :
fi

Note that because of the logic this only applies on the initial install, but the problem will cure itself on upgrades.

Comment 1 fujiwara 2017-01-20 10:28:45 UTC
Do you have any suggestions to fix this issue?

I removed ibus-gtk3.x86_64 and ibus-gtk3.i686 forcibly and tried to install them with dnf via http and installed the cache files correctly.
I have no ideas to setup that debug environment.

Comment 2 Philippe Troin 2017-01-22 03:51:28 UTC
You are right, I cannot reproduce either with:

# rpm -qa ibus-gtk*
ibus-gtk3-1.5.14-5.fc25.i686
ibus-gtk2-1.5.14-5.fc25.x86_64
ibus-gtk3-1.5.14-5.fc25.x86_64
ibus-gtk2-1.5.14-5.fc25.i686
# rpm --nodeps -ve ibus-gtk3-1.5.14-5.fc25.i686 ibus-gtk2-1.5.14-5.fc25.x86_64 ibus-gtk3-1.5.14-5.fc25.x86_64 ibus-gtk2-1.5.14-5.fc25.i686
Preparing packages...
ibus-gtk2-1.5.14-5.fc25.i686
ibus-gtk3-1.5.14-5.fc25.i686
ibus-gtk3-1.5.14-5.fc25.x86_64
ibus-gtk2-1.5.14-5.fc25.x86_64
# ls -l /usr/lib*/gtk-*/*/*immod*.cache
-rw-r--r-- 1 root root 1802 Jan 21 19:44 /usr/lib64/gtk-2.0/2.10.0/immodules.cache
-rw-r--r-- 1 root root 1714 Jan 21 19:44 /usr/lib64/gtk-3.0/3.0.0/immodules.cache
-rw-r--r-- 1 root root 1764 Jan 21 19:44 /usr/lib/gtk-2.0/2.10.0/immodules.cache
-rw-r--r-- 1 root root  318 Jan 21 19:44 /usr/lib/gtk-3.0/3.0.0/immodules.cache
# dnf -y install ibus-gtk3-1.5.14-5.fc25.i686 ibus-gtk2-1.5.14-5.fc25.x86_64 ibus-gtk3-1.5.14-5.fc25.x86_64 ibus-gtk2-1.5.14-5.fc25.i686
8< snip >8
# ls -l /usr/lib*/gtk-*/*/*immod*.cache
-rw-r--r-- 1 root root 1915 Jan 21 19:45 /usr/lib64/gtk-2.0/2.10.0/immodules.cache
-rw-r--r-- 1 root root 1826 Jan 21 19:45 /usr/lib64/gtk-3.0/3.0.0/immodules.cache
-rw-r--r-- 1 root root 1875 Jan 21 19:45 /usr/lib/gtk-2.0/2.10.0/immodules.cache
-rw-r--r-- 1 root root  428 Jan 21 19:45 /usr/lib/gtk-3.0/3.0.0/immodules.cache

However, I still have multiple autodeployed machines that show the problem (missing immodules.cache after initial install).

Could it be that the poastinst/postun need a dependency on gtk-query-immodules-<gtkversion>-<32/64>?

Comment 3 Fedora End Of Life 2017-11-16 19:13:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 fujiwara 2017-11-17 08:23:17 UTC
Currently I have no ideas to fix this.
I asked #fedora-devel but no response.

Comment 5 Fedora End Of Life 2017-12-12 10:54:28 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.